freeslot("SKINCOLOR_MILLENIUM", "SKINCOLOR_MEGADRIVE", "SKINCOLOR_VEILCHEN", "SKINCOLOR_PRISMARINE", "SKINCOLOR_SHADELESS",
"SKINCOLOR_DUALTONE",
"SKINCOLOR_SORBET", "SKINCOLOR_ELDERFLOWER", "SKINCOLOR_FORMULA",
"SKINCOLOR_SANDSTONE", "SKINCOLOR_NIPPON", "SKINCOLOR_ACCEL", "SKINCOLOR_STEMLEAF", "SKINCOLOR_SOLAR", "SKINCOLOR_COSMOS", "SKINCOLOR_PLANETARY")

// v1 (v1.2)
skincolors[SKINCOLOR_MILLENIUM] = {
	name = "Millenium",
	ramp = {80,82,84,64,74,74,75,75,66,66,67,67,67,229,230,232},
	invcolor = SKINCOLOR_MOSS,
	invshade = 7,
	chatcolor = V_YELLOWMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_MILLENIUM, SKINCOLOR_YELLOW)

skincolors[SKINCOLOR_MEGADRIVE] = {
	name = "Megadrive",
	ramp = {147,147,147,171,171,171,172,172,172,172,173,173,31,31,31,31},
	invcolor = SKINCOLOR_YELLOW,
	invshade = 9,
	chatcolor = V_BLUEMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_MEGADRIVE, SKINCOLOR_VAPOR)

skincolors[SKINCOLOR_VEILCHEN] = {
	name = "Veilchen",
	ramp = {161,162,162,163,163,164,166,172,172,196,196,196,197,174,174,175},
	invcolor = SKINCOLOR_GREEN,
	invshade = 6,
	chatcolor = V_PURPLEMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_VEILCHEN, SKINCOLOR_PURPLE)

skincolors[SKINCOLOR_PRISMARINE] = {
	name = "Prismarine",
	ramp = {120,140,140,123,124,142,125,126,126,143,143,138,138,174,174,23},
	invcolor = SKINCOLOR_LILAC,
	invshade = 5,
	chatcolor = V_GREENMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_PRISMARINE, SKINCOLOR_SEAFOAM)

skincolors[SKINCOLOR_SHADELESS] = {
	name = "Shadeless",
	ramp = {148,149,150,151,152,152,153,153,153,154,154,154,155,155,155,156},
	invcolor = SKINCOLOR_ORANGE,
	invshade = 5,
	chatcolor = V_BLUEMAP,
	accessible = true,
}
M_MoveColorAfter(SKINCOLOR_SHADELESS, SKINCOLOR_CORNFLOWER)

// v1.1 (v1.2)
skincolors[SKINCOLOR_DUALTONE] = {
	name = "Dualtone",
	ramp = {0,1,2,4,5,6,7,9,10,15,19,20,21,22,23,24},
	invcolor = SKINCOLOR_SLATE,
	invshade = 9, 
	chatcolor = V_GRAYMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_DUALTONE, SKINCOLOR_CLOUDY)

// v1.2
skincolors[SKINCOLOR_SORBET] = {
	name = "Sorbet",
	ramp = {176,177,201,201,202,202,202,203,203,194,184,184,195,196,197,175},
	invcolor = SKINCOLOR_MINT,
	invshade = 4,
	chatcolor = V_ROSYMAP,
	accessible = true
}
M_MoveColorBefore(SKINCOLOR_SORBET, SKINCOLOR_ROSY)

skincolors[SKINCOLOR_ELDERFLOWER] = {
	name = "Elderflower",
	ramp = {0,1,1,2,3,3,5,140,132,133,134,135,136,136,137,137},
	invcolor = SKINCOLOR_SALMON,
	invshade = 5,
	chatcolor = V_AZUREMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_ELDERFLOWER, SKINCOLOR_AETHER)

skincolors[SKINCOLOR_FORMULA] = {
	name = "Formula",
	ramp = {48,217,219,33,34,34,35,37,215,207,196,173,174,174,175,175},
	invcolor = SKINCOLOR_SAPPHIRE,
	invshade = 8,
	chatcolor = V_REDMAP,
	accessible = true
}
M_MoveColorBefore(SKINCOLOR_FORMULA, SKINCOLOR_FLAME)

// v1.3 (NEW!)
skincolors[SKINCOLOR_SANDSTONE] = {
	name = "Sandstone",
	ramp = {0,208,48,216,217,85,240,86,242,87,227,229,231,233,70,70},
	invcolor = SKINCOLOR_CORNFLOWER,
	invshade = 7,
	chatcolor = V_BROWNMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_SANDSTONE, SKINCOLOR_SANDY)

skincolors[SKINCOLOR_NIPPON] = {
	name = "Nippon",
	ramp = {32,32,33,33,214,215,215,228,67,67,77,77,78,79,79,237},
	invcolor = SKINCOLOR_CLOUDY,
	invshade = 2,
	chatcolor = V_REDMAP,
	accessible = true
}
M_MoveColorBefore(SKINCOLOR_NIPPON, SKINCOLOR_KETCHUP)

skincolors[SKINCOLOR_ACCEL] = {
	name = "Accel",
	ramp = {83,89,140,133,134,135,135,136,136,137,155,156,156,168,168,168},
	invcolor = SKINCOLOR_ORANGE,
	invshade = 1,
	chatcolor = V_BLUEMAP,
	accessible = true
}
M_MoveColorBefore(SKINCOLOR_ACCEL, SKINCOLOR_SAPPHIRE)

skincolors[SKINCOLOR_STEMLEAF] = {
	name = "Stemleaf",
	ramp = {80,88,89,89,90,91,99,100,101,102,103,103,126,126,127,127},
	invcolor = SKINCOLOR_MOSS,
	invshade = 2,
	chatcolor = V_PERIDOTMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_STEMLEAF, SKINCOLOR_MOSS)

skincolors[SKINCOLOR_SOLAR] = {
	name = "Solar",
	ramp = {81,83,84,50,51,52,52,66,66,67,67,68,68,69,69,70},
	invcolor = SKINCOLOR_BLUE,
	invshade = 2,
	chatcolor = V_ORANGEMAP,
	accessible = true
}
M_MoveColorBefore(SKINCOLOR_SOLAR, SKINCOLOR_APRICOT)

skincolors[SKINCOLOR_COSMOS] = {
	name = "Cosmos",
	ramp = {144,145,145,146,170,170,170,171,171,195,195,196,196,197,197,198},
	invcolor = SKINCOLOR_MINT,
	invshade = 3,
	chatcolor = V_AZUREMAP,
	accessible = true
}
M_MoveColorBefore(SKINCOLOR_COSMOS, SKINCOLOR_LAVENDER)

skincolors[SKINCOLOR_PLANETARY] = {
	name = "Planetary",
	ramp = {80,88,89,90,91,91,100,92,14,171,171,171,172,172,173,173},
	invcolor = SKINCOLOR_GOLD,
	invshade = 0,
	chatcolor = V_PERIDOTMAP,
	accessible = true
}
M_MoveColorBefore(SKINCOLOR_PLANETARY, SKINCOLOR_AZURE)